Bug 112136 - Two reset buttons in Customize dialog is confusing
Summary: Two reset buttons in Customize dialog is confusing
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Muhammet Kara
URL:
Whiteboard: target:6.0.0
Keywords:
Depends on:
Blocks: Customize-Dialog
  Show dependency treegraph
 
Reported: 2017-08-31 08:29 UTC by Heiko Tietze
Modified: 2017-10-16 04:44 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Heiko Tietze 2017-08-31 08:29:31 UTC
We have a 'Reset' button next to cancel that works at least for the menu, and a 'Reset' button under the target list, which is disabled in case of menu. That's quite confusing for the user (though a confirmation is shown but who wants to read this). 

If we can reset all changes it might be possible to also reset the (main) menu individually and enable the Reset button there.
And as a solution to Reset/Reset uncertainty I suggest to rename the inner button. Undo, clear, restore, original would be some ideas.
Comment 1 Muhammet Kara 2017-09-24 20:07:27 UTC
(In reply to Heiko Tietze from comment #0)
> We have a 'Reset' button next to cancel that works at least for the menu,
> and a 'Reset' button under the target list, which is disabled in case of
> menu. That's quite confusing for the user (though a confirmation is shown
> but who wants to read this). 
> 
> If we can reset all changes it might be possible to also reset the (main)
> menu individually and enable the Reset button there.

Not possible right now. The ui configuration backend doesn't have the functionality. (See UIConfigurationManager)

> And as a solution to Reset/Reset uncertainty I suggest to rename the inner
> button. Undo, clear, restore, original would be some ideas.

Decide on a new name for the inner button, and consider it done. :)
Comment 2 Yousuf Philips (jay) (retired) 2017-09-24 21:54:16 UTC
(In reply to Muhammet Kara from comment #1)
> Decide on a new name for the inner button, and consider it done. :)

maybe 'Restart' or 'Reload'.
Comment 3 Muhammet Kara 2017-10-12 19:15:10 UTC
(In reply to Yousuf Philips (jay) from comment #2)
> (In reply to Muhammet Kara from comment #1)
> > Decide on a new name for the inner button, and consider it done. :)
> 
> maybe 'Restart' or 'Reload'.

The button resets the menu to defaults, so "Recover" seems proper?
Comment 4 Yousuf Philips (jay) (retired) 2017-10-13 20:20:37 UTC
(In reply to Muhammet Kara from comment #3)
> The button resets the menu to defaults, so "Recover" seems proper?

Maybe 'Defaults' is sufficient.
Comment 5 Heiko Tietze 2017-10-14 17:05:04 UTC
Native speaker's suggestion is always the best. So Muhammet, please change this label into "Default".
Comment 6 Commit Notification 2017-10-15 21:26:43 UTC
Muhammet Kara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d4daf634cd9ce8d422d49669c324a2220eba54a9

tdf#112136: Resolve confusion of two 'Reset' buttons

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.